/*
 * PowerForms
 * Copyright (C) 1999-2002 BRICS.
 *
 * Author: Mikkel Ricky <ricky@brics.dk>
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the  Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307,
 * USA.
 *
 * Home page: http://www.brics.dk/bigwig/powerforms/
 */

package dk.brics.powerforms;

import java.io.PrintWriter;
import java.net.URL;

class Init extends PwfElement {
  private String formName = null;
  private String fieldName = null;
  private String value = null;

  Init(Attributes attributes) {
    init("init", attributes);
  }

  void check() throws TransformException {
    formName = attributes.requireValue("form");
    fieldName = attributes.requireValue("field");
    value = attributes.requireValue("value");
    /* form.addFieldValue(fieldName, value); */
  }

  void scriptInit(HtmlDocument document, PrintWriter out) {}
  void scriptDefine(HtmlDocument document, PrintWriter out) {}
}
