var isAcademicBrowser = (navigator.appName == 'Netscape') && (parseInt(navigator.appVersion) <= 4);

/* PowerForms constructor */
function PowerForms() {
  /*
  this.selectOptions = new Array();
  this.applets = new Array();
  this.info = new Array();

  this.red = new Image();
  this.yellow = new Image();
  this.green = new Image();
  this.na = new Image();

  this.errorTitle = "";

  this.isNetscape = (navigator.appName == "Netscape" && (parseInt(navigator.version) < 5));

  // Instance methods
  this.addSelectOptions = PowerForms_addSelectOptions;
  */
}

/* Static PowerForms variables */
PowerForms.CRASH = -1;
PowerForms.REJECT = 0;
PowerForms.ACCEPT = 1;
PowerForms.NO = PowerForms.CRASH;
PowerForms.MAYBE = PowerForms.REJECT;
PowerForms.YES = PowerForms.ACCEPT;
PowerForms.IGNORE = 2;


PowerForms.REGEXP  = 0;
PowerForms.HELP    = 1;
PowerForms.WARNING = 2;
PowerForms.ERROR   = 3;

PowerForms.STRING = 1024;
PowerForms.INTEGER = 1025;
PowerForms.IMAGE = 1026;
PowerForms.TEXT = 1027;
PowerForms.CSS = 1028;

/*
  Reset all input fields on `form'
*/
PowerForms.resetForm = function(form) {
  var elements = document.forms[form].elements;
  for (var i = 0; i < elements.length; i++) {
    var element = elements[i];
    if ((element.type == "select-one") ||
	(element.type == "select-multiple")) {
      for (var j = 0; j < element.options.length; j++) {
	element.options[j].selected = element.options[j].defaultSelected;
      }
    } else if ((element.type == "text") ||
	       (element.type == "password") ||
	       (element.type == "hidden")) {
      element.value = element.defaultValue;
    } else if ((element.type == "radio") ||
	       (element.type == "checkbox")) {
      element.checked = element.defaultChecked;
    }
  }
}

function PowerForms_stateToString(state) {
  if (state == PowerForms.ACCEPT) {
    return "Accept";
  } else if (state == PowerForms.ACCEPT) {
    return "Reject";
  } else {
    return "Crash";
  }
}

/******************************************************
 * Implementation of PowerForms instance methods      *
 ******************************************************/

/**
   @param form form index in document.forms
   @param index select index on form
   @param errorValue error value
 */
function PowerForms_addSelectOptions(form, index, errorValue) {
  var select = document.forms[form].elements[index];
  powerformsSelectOptions[form][index] = new Array();
  /* powerformsSelectOptions[form][index][0] = errorValue; */
  var size = 1;
  for (var i = 0; i < select.options.length; i++) {
    var option = select.options[i];
    powerformsSelectOptions[form][index][option.value == errorValue ? 0 : size++] = new Option(option.text, option.value, option.defaultSelected, false);
  }
}

function PowerForms_showChild(child) {
  while (this.hasChildNodes()) {
    this.removeChild(this.firstChild);
  }
  this.appendChild(child);
}

function PowerForms() {}

PowerForms.CRASH = -1;
PowerForms.NO = PowerForms.CRASH;
PowerForms.REJECT = 0;
PowerForms.MAYBE = PowerForms.REJECT;
PowerForms.ACCEPT = 1;
PowerForms.YES = PowerForms.ACCEPT;
PowerForms.NA = 2;

PowerForms.format = function(state) {
  if (state == PowerForms.CRASH) {
    return "crash";
  } else if (state == PowerForms.REJECT) {
    return "reject";
  } else {
    return "accept";
  }
}

PowerForms.isPrefix = function(a, b) {
    /* confirm("PowerForms.isPrefix("+a+", "+b+") ..."); */
    return b.indexOf(a) == 0;
    /*
    if (a == b) {
      return true;
    }
    var s = a.toString();
    var t = b.toString();
    if (s.length >= t.length) {
      return false;
    }
    for (var i = 0; i < s.length; i++) {
      if (s.charAt(i) != t.charAt(i)) {
	return false;
      }
    }
    return true;
    */
  }

/*
  return an Array containing all values of input fields named `name'
  on `form'
 */
/*
PowerForms.getValues = function(form, name) {
  var values = new Array();
  var elements = document.forms[form].elements;
  var size = 0;
  for (var i = 0; i < elements.length; i++) {
    if (elements[i].name == name) {
      if ((elements[i].type == "select-one") ||
	  (elements[i].type == "select-multiple")) {
	for (var j = 0; j < elements[i].options.length; j++) {
	  if (elements[i].options[j].selected) {
	    values[size++] = elements[i].options[j].value;
	  }
	}
      } else if ((elements[i].type == "radio") ||
		 (elements[i].type == "checkbox")) {
	if (elements[i].checked) {
	  values[size++] = elements[i].value;
	}
      } else if ((elements[i].type == "text") ||
		 (elements[i].type == "password") ||
		 (elements[i].type == "hidden")) {
	values[size++] = elements[i].value;
      }
    }
  }
  return values;
}
*/

/* - ValueSet -------------------------------------------- */

PowerForms.FIXED = 1024;
PowerForms.DYNAMIC = 1025;

function ValueSet_size() {
  return this._size;
}

function ValueSet_member(e) {
  return this.elements[e] ? true : false;
}

function ValueSet_add(e, t) {
  if (typeof(t) == "undefined") {
    t = PowerForms.FIXED;
  }
  if (this.member(e)) {
    if (t == PowerForms.DYNAMIC) {
      this.elements[e] = t;
    }
  } else {
    this.elements[e] = t;
    this._size++;
  }
}

function ValueSet_getType(e) {
  return this.elements[e];
}

function ValueSet_remove(e) {
  if (this.member(e)) {
    this.elements[e] = false;
    this._size--;
  }
}

function ValueSet_intersection(set) {
  var s = new ValueSet();
  var elements = this.getElements();
  for (e in elements) {
    if (set.member(e)) {
      s.add(e);
    }
  }
  /* confirm(this+".intersection("+set+") = "+s); */
  return s;
}

function ValueSet_getElements() {
  var elements = new Array(this._size);
  var size = 0;
  for (e in this.elements) {
    if (this.elements[e]) {
      elements[size++] = e;
    }
  }
  return elements;
}

function ValueSet_getDynamicElements() {
  var elements = new Array();
  var size = 0;
  for (e in this.elements) {
    if (this.elements[e] == PowerForms.DYNAMIC) {
      elements[size++] = e;
    }
  }
  return elements;
}

function ValueSet_toString() {
  var elements = this.getElements();
  var s = "ValueSet: {";
  for (var i = 0; i < elements.length; i++) {
    var e = elements[i];
    var t = this.getType(e);
    if (i > 0) {
      s += ", ";
    }
    s += "('"+e+"', "+(t == PowerForms.FIXED ? "fixed" : "dynamic")+")";
  }
  s += "}";
  return s;
}

function ValueSet() {
  this._size = 0;
  // this.elements = new Array();
  this.elements = new Object();

  this.size = ValueSet_size;
  this.member = ValueSet_member;
  this.add = ValueSet_add;
  this.getType = ValueSet_getType;
  /* this.remove = ValueSet_remove; */
  /* this.intersection = ValueSet_intersection; */
  this.getElements = ValueSet_getElements;
  this.getDynamicElements = ValueSet_getDynamicElements;
  this.toString = ValueSet_toString;

  for (var i = 0; i < arguments.length; i++) {
    /* this.add(arguments[i], PowerForms.FIXED); */
    this.add(arguments[i]);
  }
}

/* -------------------------------------------------- */

PowerForms.elements = new Array();

PowerForms.addElementById = function(id, element) {
  PowerForms.elements[id] = element;
  /*
  var msg = "";
  for (e in PowerForms.elements) {
    msg += e+": "+PowerForms.getElementById(e)+"\n";
  }
  confirm("PowerForms.addElementById("+id+", "+element+")"+"\n"+
	  "elements:\n"+msg);
  */
}

PowerForms.getElementById = function(id) {
  return PowerForms.elements[id] ? PowerForms.elements[id] : null;
}

/*
PowerForms.getElement = document.getElementById ?
  function(id, form, field) {
    return document.getElementById(id);
  } :
  function(id, form, field) {
    return document.forms[form].elements[field];
  }
*/

PowerForms.getTextValue =
  ((navigator.appName == "Netscape") && (parseInt(navigator.appVersion) <= 4)) ?
  function() {
    /* this.blur(); */
    /* this.focus(); */
    return this.value;
  } :
  function () {
    return this.value;
  }

PowerForms.getInputValue = function() {
  return this.value;
}

PowerForms.getValues = function(form, name) {
  var values = new ValueSet();
  var elements = document.forms[form].elements;
  for (var i = 0; i < elements.length; i++) {
    var element = elements[i];
    if (element.name == name) {
      if ((element.type == "select-one") ||
	  (element.type == "select-multiple")) {
	for (var j = 0; j < element.options.length; j++) {
	  if (element.options[j].selected) {
	    values.add(element.options[j].value);
	  }
	}
      } else if ((element.type == "radio") ||
		 (element.type == "checkbox")) {
	if (element.checked) {
	  values.add(element.value);
	}
      } else if (element.type == "hidden") {
	values.add(element.value);
      } else if ((element.type == "text") ||
		 (element.type == "password")) {
	values.add(element.value, PowerForms.DYNAMIC);
      }
    }
  }
  return values;
}

PowerForms.addMessage = function(list, message) {
  for (var i = 0; i < list.length; i++) {
    if (list[i] == message) {
      return;
    }
  }
  list[list.length] = message;
}

/*
   Convert 3-state value to a boolean value.
*/
PowerForms.toBoolean = function(s) {
  return s == PowerForms.YES;
}

PowerForms.DEBUG = function(s) {
  /* java.lang.System.err.println(s); */
}

function Check_filter(predicate) {
  if (this.checked) {
    this.checked = predicate(this.value);
    if (!this.checked) {
      return true;
    }
  }
  return false;
}

function initCheck(check) {
  check.filter = Check_filter;
}

function pwf_DEBUG(e, separator) {
  if (typeof(separator) == "undefined") {
    separator = "; ";
  }
  var msg = "";
  for (var p in e) {
    msg += p+separator;
  }
  return msg;
}
