PowerForms.checkSum = function(type, fields, scalars, result) {
  var sum = 0;
  var not_integer = false;
  var never_integer = false;
  for (var i = 0; i < fields.length; i++) {
    if (!PowerForms.isInteger(fields[i].value)) {
      if (!PowerForms.isIntegerPrefix(fields[i].value)) {
	never_integer = true;
      }
      not_integer = true;
    } else {
      sum += parseInt(fields[i].value)*scalars[i];
    }
  }
  if (never_integer) {
    return PowerForms.NO;
  } else if (not_integer) {
    if (!PowerForms.isIntegerPrefix(result.value)) {
      return PowerForms.NO;
    }
    return PowerForms.MAYBE;
  } else {
    var value = parseInt(result.value);
    if (value == sum) {
      return PowerForms.YES;
    } else if (PowerForms.isPrefix(result.value, sum)) {
      return PowerForms.MAYBE;
    } else {
      return PowerForms.NO;
    }
  }
}

function Sum_checkInt() {
  var sum = 0;
  var not_integer = false;
  var never_integer = false;
  for (var i = 0; i < this.fields.length; i++) {
    if (!isIntegerPrefix(this.fields[i].value)) {
      not_integer = true;
    } else if (!isInteger(this.fields[i].value)) {
      never_integer = true;
    } else {
      sum += parseInt(this.fields[i].value)*this.scalars[i];
    }
  }
  if (never_integer) {
    return PowerForms.NO;
  } else if (not_integer) {
    if (!isIntegerPrefix(this.result.value)) {
      return PowerForms.NO;
    }
    return PowerForms.MAYBE;
  } else {
    var value = parseInt(this.result.value);
    if (value == sum) {
      return PowerForms.YES;
    } else if (!isIntegerPrefix(this.result.value)) {
      return PowerForms.NO;
    } else {
      if (isPrefix(value, sum)) {
	return PowerForms.MAYBE;
      }
      return PowerForms.NO;
    }
  }
}

function Sum(type, fields, scalars, result) {
  this.fields = fields;
  this.scalars = scalars;
  this.result = result;
  if (type == PowerForms.INTEGER) {
    this.check = Sum_checkInteger;
  }
}
